PYMOL(1)

NAME
pymol - free and flexible molecular graphics and modelling package

SYNOPSIS
pymol [options] [files]

DESCRIPTION
Over the years, PyMOL has become a capable molecular viewer with support for animations, high-quality rendering, crystallography, and other common molecular graphics activities. It has been adopted by many hundreds (perhaps even thousands) of scientists spread over thirty countries. However, PyMOL is still very much a work in progress, with development expected to continue for years to come.

OPTIONS
These options are currently supported:

-2  Start in two-button mouse mode.

-c  Command line mode, no GUI. For batch operations.

-d string
    Run pymol command string upon startup.

-e  Start in full-screen mode.

-f #line
    Controls display of commands and feedback in OpenGL (0=off).

-g file.png
    Write a PNG file (after evaluating previous arguments)

-i  Disable the internal OpenGL GUI (object list, menus, etc.)

-l file.py
    Spawn a python program in new thread.

-o  Disable security protections for session files.

-p  Listen for commands on standard input.

-q  Quiet launch. Suppress splash screen & other chatter.

-r file.py
    Run a Python program (in __main__) on startup.

-s script
    Save commands to this PyMOL script or program file.

-t  Use Tcl/Tk based external GUI module (pmg_tk).

-u script
    Load and append to this PyMOL script or program file.

-x  Disable the external GUI module.

-B  Enable blue-line stereo signal (for Mac stereo)

-G  Start in Game mode.

-M  Force mono even when hardware stereo is present.

-R  Launch Greg Landrum's XMLRPC listener.

-S  Force and launch in stereo, if possible.

-X int -Y int -W int -H int -V int
    Adjust window geometry.

All files provided will be loaded or run after PyMOL starts. They can have one of the following extensions:

.pml            PyMOL command script to be run on startup
.py[cm]         Python program to be run on startup
.pdb            Protein Data Bank format file to be loaded on startup
.mmod           Macromodel format to be loaded on startup
.mol            MDL MOL file to be loaded on startup
.sdf            MDL SD file to be parsed and loaded on startup
.xplor          X-PLOR Map file (ASCII) to be loaded on startup
.ccp4           CCP4 map file (BINARY) to be loaded on startup
.cc[12]         ChemDraw 3D cartesian coordinate file
.pkl            Pickled ChemPy Model (class "chempy.model.Indexed")
.r3d            Raster3D file
.cex            CEX file (Metaphorics)
.top            AMBER topology file
.crd            AMBER coordinate file
.rst            AMBER restart file
.trj            AMBER trajectory
.pse            PyMOL session file
.phi            Delphi/Grasp Electrostatic Potential Map

For a list of options, you can also enter the following in the command line of pymol:

    help launching

COMMANDS
Please refer to PyMols online documentation at http://www.pymolwiki.org/index.php/Category:Commands or its internal help for a command reference.

AUTHOR
This manpage was written by Daniel Leidert <daniel.leidert@wgdd.de> for the Debian distribution (but may be used by others).